Class | WSDL::SOAP::Header
In: | wsdl/soap/header.rb
Parent: | Info

### Methods

find_message find_part new parse_attr parse_element targetnamespace

### Attributes

encodingstyle | [R] |
headerfault | [R] |
message | [R] |
namespace | [R] |
part | [R] |
use | [R] |

### Public Class methods

new()

[Source]

    # File wsdl/soap/header.rb, line 25
      def initialize
        super
        @message = nil
        @part = nil
        @use = nil
        @encodingstyle = nil
        @namespace = nil
        @headerfault = nil
      end

### Public Instance methods

find_message()

[Source]

    # File wsdl/soap/header.rb, line 39
      def find_message
        root.message(@message) or raise RuntimeError.new("#{@message} not found")
      end

find_part()

[Source]

    # File wsdl/soap/header.rb, line 43
      def find_part
        find_message.parts.each do |part|
          if part.name == @part
            return part
          end
        end
        raise RuntimeError.new("#{@part} not found")
      end

parse_attr(attr, value)

[Source]

    # File wsdl/soap/header.rb, line 63
      def parse_attr(attr, value)
        case attr
        when MessageAttrName
          if value.namespace.nil?
            value = XSD::QName.new(targetnamespace, value.source)
          end
          @message = value
        when PartAttrName
          @part = value.source
        when UseAttrName
          @use = value.source
        when EncodingStyleAttrName
          @encodingstyle = value.source
        when NamespaceAttrName
          @namespace = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/soap/header.rb, line 52
      def parse_element(element)
        case element
        when HeaderFaultName
          o = WSDL::SOAP::HeaderFault.new
          @headerfault = o
          o
        else
          nil
        end
      end

targetnamespace()

[Source]

    # File wsdl/soap/header.rb, line 35
      def targetnamespace
        parent.targetnamespace
      end

[Validate]